[![Join the chat at https://matrix.to/#/#speedata_publisher:gitter.im](https://img.shields.io/gitter/room/speedata/publisher?color=yellow)](https://matrix.to/#/#speedata_publisher:gitter.im)&nbsp;[![Fund the development](https://img.shields.io/badge/Sponsor-Fund%20development-yellow)](https://github.com/sponsors/speedata)&nbsp;[![Platforms](https://img.shields.io/badge/Platform-Mac%2FLinux%2FWindows-lightgrey)](https://doc.speedata.de/publisher/en/installation/)

speedata Publisher
==================

About
-----

<p align="center"><img src="https://i.imgur.com/yzUJlVv.png"></p>


The speedata Publisher is a full featured and mature database publishing software. It generates PDF files from XML data and XML layout instructions. It is used to make product catalogs and other documents with high demands on the layout.

Its built-in layout description language allows you to create almost arbitrary layouts, while keeping the job as simple as possible.

Think of it as “XSL-FO on steroids” or “server side InDesign”.

Examples
--------

There are some examples in the [example repository on GitHub](https://github.com/speedata/examples). Also, there are lots of small examples in the `qa` subdirectory that is used for quality assurance. See also our [showcase](https://showcase.speedata.de/).

<img src="https://doc.speedata.de/publisher/static/img/beispiele.png">

Can I use this in production?
-----------------------------

Yes. Absolutely. We release stable (long term support) versions once in a while which are heavily tested in commercial environments and we release development versions often. Note that these development are still safe to use, they just might contain some experimental new features.

Funding
-------

This project heavily depends on business and user funding.
Every bug report is welcome and every feature request is carefully considered.
But without time to spend, this is very hard for me to work on.
I might add the “needs funding” label on a bug report or feature request once in a while if I think that I can't implement this while doing other things.

To support the sustainable development of the speedata Publisher, please consider clicking on the [“sponsor” button](https://github.com/sponsors/speedata) or request a support and maintenance pack by contacting [speedata](https://www.speedata.de/imprint/).

For a list of upcoming and recent features see the [news file](News.md).

Installation
------------

Just get one of the ready-to-run packages from <https://download.speedata.de/> and follow the directions inside the ZIP file (=just extract and set the PATH variable). See the [installation instructions in the manual](https://doc.speedata.de/publisher/en/installation/).


Manual
------
Our documentation is available online: <https://doc.speedata.de/> and included in the distribution (`sp doc`).


Bugs
----

Please use the [GitHub bug tracker](https://github.com/speedata/publisher/issues) for reporting bugs or write an email. See below for contact details.


License / Contributing
----------------------

The license is AGPLv3, see the file COPYING in the root directory.

We welcome contributions. Just [follow the GitHub procedure (fork, pull requests)](https://help.github.com/articles/using-pull-requests/). The [installation manual](https://doc.speedata.de/publisher/en/installation/) has a section on building the binary from the source code.

Contact / Support
-----------------

We offer commercial support for the speedata Publisher. You can find the contact information [on the webpage](https://www.speedata.de/imprint/).


--------
Source: <https://github.com/speedata/publisher/> <br>
News: <https://news.speedata.de/> <br>
Webpage: <https://www.speedata.de/> <br>
Chat: <https://matrix.to/#/#speedata_publisher:gitter.im>
